API Referenceapipatient-graphGET /v1/protocols/{id}

GET /v1/protocols/\{id\}

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Protocol with compounds

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "brand_id": {
      "type": "string"
    },
    "slug": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "version": {
      "type": "string"
    },
    "category": {
      "type": [
        "string",
        "null"
      ]
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "oversight_tier": {
      "type": "string"
    },
    "active": {
      "type": "boolean"
    },
    "metadata": {
      "type": "object",
      "additionalProperties": {}
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    },
    "compounds": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "protocol_id": {
            "type": "string",
            "format": "uuid"
          },
          "compound_id": {
            "type": "string",
            "format": "uuid"
          },
          "compound_slug": {
            "type": "string"
          },
          "display_name": {
            "type": "string"
          },
          "dose_amount": {
            "type": "string"
          },
          "dose_unit": {
            "type": "string"
          },
          "route": {
            "type": [
              "string",
              "null"
            ]
          },
          "position": {
            "type": "integer"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "protocol_id",
          "compound_id",
          "compound_slug",
          "display_name",
          "dose_amount",
          "dose_unit",
          "route",
          "position",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "id",
    "brand_id",
    "slug",
    "name",
    "version",
    "category",
    "description",
    "oversight_tier",
    "active",
    "metadata",
    "created_at",
    "updated_at",
    "compounds"
  ]
}

404 Protocol not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/protocols/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"